This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169394 - missing dependency: system-config-boot needs firstboot
missing dependency: system-config-boot needs firstboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-boot (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-27 16:44 EDT by Andreas Gattringer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 05:03:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Gattringer 2005-09-27 16:44:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050915 Fedora/1.5-0.5.0.beta1 Firefox/1.4

Description of problem:
Running system-config-boot without the firstboot package installed dies with this error message: 

Component: system-config-boot
Version: 0.2.9
Summary: TB2106918e firstboot_gui_window.py:11:?:ImportError: No module named firstboot_module_window

Traceback (most recent call last):
  File "/usr/share/system-config-boot/system-config-boot.py", line 63, in ?
    import boot_gui
  File "/usr/share/firstboot/modules/boot_gui.py", line 32, in ?
    from rhpl.firstboot_gui_window import FirstbootGuiWindow
  File "/usr/lib/python2.4/site-packages/rhpl/firstboot_gui_window.py", line 11, in ?
    from firstboot_module_window import FirstbootModuleWindow as FirstbootGuiWindow
ImportError: No module named firstboot_module_window

Local variables in innermost frame:
[ rest of message deleted ]

Installing firstboot-1.3.48-1.noarch.rpm fixes the problem.

Version-Release number of selected component (if applicable):
system-config-boot-0.2.9-1

How reproducible:
Always

Steps to Reproduce:
Make sure that firstboot is not installed, run system-config-boot as root

Additional info:

Installed packages:

firstboot-1.3.48-1
rhpl-0.174-1
system-config-boot-0.2.9-1
Comment 1 Karsten Hopp 2006-05-15 05:03:02 EDT
#rpm -ivh system-config-boot-0.2.11-1.2.i386.rpm
error: Failed dependencies:
        firstboot is needed by system-config-boot-0.2.11-1.2.i386

Fixed in -devel

Note You need to log in before you can comment on or make changes to this bug.